## Validate

Examines PDFs at various levels of detail and reports errors. Quickly check for invalid or damanged PDFs in your archive, or validate a freshly downloaded bunch of PDFs.

### Options

> `java tool.pdf.Validate [options] PDF-file(s)`

- -quick -- (Default) Validate a PDF by checking whether its structure is valid. However, the content itself, such as images and content streams, is not read. Since structure and content are intermixed, this is usually sufficient to check for a successful network transmission.
- -full -- This option tests everything about a PDF; since it reads the complete PDF file, it is slower. This tests the correctness of PDF generators.
- -verbose -- Report names of valid files as well as invalid ones.
- -password password -- password if PDF is encrypted